import matplotlib.pyplot as plt
from pandas import DataFrame
from scipy.cluster.hierarchy import dendrogram, linkage

Data = {
	'x': [35,34,32,37,33,33,31,27,35,34,62,54,57,47,50,57,59,52,61,47,50,48,39,40,45,47,39,44,50,48],
        'y': [79,54,52,77,59,74,73,57,69,75,51,32,40,47,53,36,35,58,59,50,23,22,13,14,22,7,29,25,9,8]
       }
  
df = DataFrame(Data,columns=['x','y'])

dendrogram(linkage(df, 'ward'))
plt.title('Ward')
plt.show()

dendrogram(linkage(df, 'single'))
plt.title('Single')
plt.show()

dendrogram(linkage(df, 'complete'))
plt.title('Complete')
plt.show()

dendrogram(linkage(df, 'average'))
plt.title('Average')
plt.show()